Skip to main content
GET
/
app.rocksky.artist.getArtist
Get artist details
curl --request GET \
  --url https://api.rocksky.app/xrpc/app.rocksky.artist.getArtist \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "uri": "<string>",
  "name": "<string>",
  "picture": "<string>",
  "sha256": "<string>",
  "playCount": 1,
  "uniqueListeners": 1,
  "tags": [
    "<string>"
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.rocksky.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

uri
string<at-uri>
required

The URI of the artist to retrieve details from

Response

OK

id
string

The unique identifier of the artist.

uri
string<at-uri>

The URI of the artist.

name
string

The name of the artist.

picture
string

The picture of the artist.

sha256
string

The SHA256 hash of the artist.

playCount
integer
Required range: x >= 0
uniqueListeners
integer
Required range: x >= 0
tags
string[]